Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000492KdenliveUser Interfacepublic2008-12-19 07:502010-09-14 23:01
Reportercinephiliac 
Assigned Tottill 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.7.2Fixed in Version0.7.8 
Summary0000492: User Interface: Timeline Zoom Enhancement (with Mockup)
DescriptionRight now the timeline zoom slider (in the bottom right corner) is unintuitive, being the exact opposite of convention. There are also no icons to show which way the user needs to move the slider.
Additional InformationI've attached a mockup. It has three important differences:

1. It has icons (the same ones as in the timeline -> zoom In / Out menu items)
2. It is placed with shrink on the left and zoom on the right. This is already convention in most programs (DigiKam, Gwenview, Inkscape, Gimp etc). and it makes sense in Kdenlive as opening a project and zooming makes the clips grow to the right. It makes intuitive sense that dragging the slider right, will have the edges of the clips grow to the right, rather than to the left, even without convention already being firmly established for shrink -> zoom rather than zoom -> shrink.
3. It uses the KDE4 slider styling. In fact this mockup was made just by grabbing a section of a screengrab from the bottom of Dolphin in KDE 4.2 beta 2.
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filespng file icon timeline_zoom_mockup.png [^] (305,902 bytes) 2008-12-19 07:50

- Relationships

-  Notes
(0001850)
madsdyd (administrator)
2008-12-21 11:42

Acknowledged for 0.7.2. Perhaps a candidate for a quick 0.7.1 fix, but we are getting very close to Christmas, so 0.7.2 for now.
(0005139)
ttill (developer)
2010-05-15 23:44

Should finally be fully fixed in svn rev. 4446.

- Issue History
Date Modified Username Field Change
2008-12-19 07:50 cinephiliac New Issue
2008-12-19 07:50 cinephiliac File Added: timeline_zoom_mockup.png
2008-12-19 07:50 cinephiliac Build/Install Method => Build Wizard
2008-12-21 11:42 madsdyd Note Added: 0001850
2008-12-21 11:42 madsdyd Reproducibility have not tried => N/A
2008-12-21 11:42 madsdyd Status new => acknowledged
2008-12-21 11:42 madsdyd Target Version => 0.7.2
2010-05-15 23:44 ttill Note Added: 0005139
2010-05-18 12:06 j-b-m Status acknowledged => resolved
2010-05-18 12:06 j-b-m Fixed in Version => Recent git
2010-05-18 12:06 j-b-m Resolution open => fixed
2010-05-18 12:06 j-b-m Assigned To => ttill
2010-09-14 11:01 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker